| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PropertyCallbackPointerFunctor Class Reference

`#include <PropertyCallbackFunctor.h>`

Inheritance diagram for PropertyCallbackPointerFunctor:

[legend]
Collaboration diagram for PropertyCallbackPointerFunctor:

[legend]
List of all members.

## Detailed Description

Definition at line 69 of file PropertyCallbackFunctor.h.

## Public Types
typedef void(*) | PtrToCallbackFunction (Property &)
## Public Member Functions
| PropertyCallbackPointerFunctor (PtrToCallbackFunction pCF)
virtual void | operator() (Property &prop) const
virtual PropertyCallbackPointerFunctor * | clone () const
## Private Attributes
PtrToCallbackFunction | m_pCF

## Member Typedef Documentation

typedef void( * ) PropertyCallbackPointerFunctor::PtrToCallbackFunction(Property &)

Definition at line 79 of file PropertyCallbackFunctor.h.

## Constructor & Destructor Documentation

PropertyCallbackPointerFunctor::PropertyCallbackPointerFunctor | ( | PtrToCallbackFunction | pCF | ) | `[inline, explicit]`

Definition at line 89 of file PropertyCallbackFunctor.h.

    00090     : m_pCF( pCF ) { }

## Member Function Documentation

virtual void PropertyCallbackPointerFunctor::operator() | ( | Property & | prop | ) | const`[inline, virtual]`

Implements PropertyCallbackFunctor.

Definition at line 94 of file PropertyCallbackFunctor.h.

References m_pCF.

    00095   { m_pCF( prop ); }

virtual PropertyCallbackPointerFunctor* PropertyCallbackPointerFunctor::clone | ( |  | ) | const`[inline, virtual]`

Implements PropertyCallbackFunctor.

Definition at line 97 of file PropertyCallbackFunctor.h.

    00098   { return new PropertyCallbackPointerFunctor(*this); } ;

## Member Data Documentation

PtrToCallbackFunction PropertyCallbackPointerFunctor::m_pCF`[private]`

Definition at line 98 of file PropertyCallbackFunctor.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/PropertyCallbackFunctor.h